
#include <QApplication>
#include "vgwidget.h"

int main(int argc, char *argv[])
{

#ifdef Q_OS_SYMBIAN
    QApplication::setGraphicsSystem("openvg");
#endif
    /*
#error This program requires OpenVG graphics, which is currently only supported on Q_OS_SYMBIAN target
#endif
*/


    QApplication app(argc, argv);
    VGWidget w;
    w.setAttribute( Qt::WA_AcceptTouchEvents );
#ifdef FORCE_LANDSCAPE
    w.setAttribute(Qt::WA_LockLandscapeOrientation);
#endif
#ifdef FORCE_PORTRAIT
    w.setAttribute(Qt::WA_LockPortraitOrientation);
#endif
    w.showFullScreen();
    return app.exec();
}
